Page MenuHomeFreeBSD

lang/rust: Update to 1.34.0
ClosedPublic

Authored by tobik on Apr 8 2019, 9:34 PM.

Details

Reviewers
jbeich
pkubaj
mikael
Group Reviewers
rust
portmgr
O5: Ports Framework(Owns No Changed Paths)
Commits
rP498677: lang/rust: Update to 1.34.0
Summary
Test Plan

Lots of patches did not apply cleanly, so this is probably incomplete.
A test build on amd64 is still in progress.

@pkubaj_riseup.net @mikael.urankar_gmail.com We need new bootstraps for (and testing on) arm* and powerpc64. Can you help with that?

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 23584
Build 22574: arc lint + arc unit

Event Timeline

  • Put back %CC% in a couple of patches
  • bundled rustc-ap-syntax in devel/racer is very picky, so updating the port to later version maybe required (e.g., latest unless it depends on rust 1.35)
  • textproc/ripgrep/files/patch-no-bitmask can be dropped
lang/rust/files/patch-src_bootstrap_bootstrap.py
18

This chunk is not in Rust 1.34, see adddee4946fb.

Doesn't build:

error[E0432]: unresolved import `spec`
 --> vendor/rustc-ap-rustc_target/spec/armv6_unknown_freebsd.rs:1:5
  |
1 | use spec::{LinkerFlavor, Target, TargetOptions, TargetResult};
  |     ^^^^ did you mean `crate::spec`?
  |
  = note: `use` statements changed in Rust 2018; read more at <https://doc.rust-lang.org/edition-guide/rust-2018/module-system/path-clarity.html>

error[E0432]: unresolved import `spec`
 --> vendor/rustc-ap-rustc_target/spec/armv7_unknown_freebsd.rs:1:5
  |
1 | use spec::{LinkerFlavor, Target, TargetOptions, TargetResult};
  |     ^^^^ did you mean `crate::spec`?
  |
  = note: `use` statements changed in Rust 2018; read more at <https://doc.rust-lang.org/edition-guide/rust-2018/module-system/path-clarity.html>

   Compiling rustc-ap-syntax_pos v373.0.0
error: aborting due to 2 previous errors
  • Fix bootstrap.py patch
  • Add crate:: to rustc-ap-rustc_target armv* patches too
  • Drop textproc/ripgrep/files/patch-no-bitmask
tobik marked an inline comment as done.
  • Hopefully unmark files/patch-src_bootstrap_bootstrap.py as deleted now
  • Fix post-install when restarting failed builds and recursively delete share/doc/rust/*.old
  • Add arm*, powerpc64 bootstraps

What version do you need? I have v1.33 available here:

That should do. I've mirrored them in LOCAL/tobik. Thanks!

  • Update and fix build of devel/racer
jbeich added inline comments.
devel/racer/Makefile
102 ↗(On Diff #55982)

scope-tls comment above is obsolete since 1.0.0 but RUSTC_BOOTSTRAP=1 is still required by rustc-ap-syntax (and its dependecies). Either update the comment or remove it.

  • racer: remove obsolete comment

Builds on 13.0/amd64, 12.0/amd64 and 11.2/i386 were all fine.

Anybody testing arm*, powerpc64?

This revision was not accepted when it landed; it landed in state Needs Review.Apr 11 2019, 7:39 PM
Closed by commit rP498677: lang/rust: Update to 1.34.0 (authored by tobik). · Explain Why
This revision was automatically updated to reflect the committed changes.